SGIVOL(8) | System Manager's Manual (sgimips) | SGIVOL(8)

# NAME

`/usr/mdec/sgivol` —
configure SGI Volume Header

# SYNOPSIS

`/usr/mdec/sgivol` | [`-fq`] device

`/usr/mdec/sgivol` | [`-fq`] `-i` [`-h` vhsize] device

`/usr/mdec/sgivol` | [`-fq`] `-r` vhfilename diskfilename device

`/usr/mdec/sgivol` | [`-fq`] `-w` vhfilename diskfilename device

`/usr/mdec/sgivol` | [`-fq`] `-d` vhfilename device

`/usr/mdec/sgivol` | [`-fq`] `-m` vhfilename vhfilename device

`/usr/mdec/sgivol` | [`-fq`] `-p` partno partfirst partblocks parttype device

# DESCRIPTION

The `/usr/mdec/sgivol` program prepares an SGI Volume Header to be used to boot NetBSD. The SGI PROM is able to load executables within the header, which in turn are used to load the kernel from another file system.

# OPTIONS

The following options are available:

`-f`
  Force the operation. Do not ask the user before proceeding.
`-h`
  Set the size of the newly initialized volume header in blocks. One block is 512 bytes. The default volume header size is 3135 blocks (1.53MB).
`-q`
  Suppress output.

# PARTITION TYPES

The numerical partition types for the volume header include:

    	 0:	Volume Header
    	 1:	Replicated Tracks
    	 2:	Replicated Sectors
    	 3:	Raw
    	 4:	BSD4.2 file system
    	 5:	SysV file system
    	 6:	Entire Volume (all disk blocks)
    	 7:	EFS
    	 8:	Logical Volume
    	 9:	Raw Logical Volume
    	10:	XFS
    	11:	XFS Log
    	12:	XLV Volume
    	13:	XVM Volume

# EXAMPLES

To display the existing volume header and partition table on disk “sd0”:
``sgivol sd0``

To initialize a new volume header 42 512-byte blocks large on disk “sd0”:

``sgivol -i -h 42 sd0``

To copy a file boot from the volume header to local file /tmp/boot on disk “sd0”:

``sgivol -r boot /tmp/boot sd0``

To copy a local file /usr/mdec/ip2xboot to the volume header as boot on disk “sd0”:

``sgivol -w boot /usr/mdec/ip2xboot sd0``

To delete the existing file boot from the volume header on disk “sd0”:

``sgivol -d boot sd0``

To move (rename) an existing file file1 to file2 in the volume header on disk “sd0”:

``sgivol -m file1 file2 sd0``

To change partition 0 to type 4 (BSD4.2) beginning at block offset 3200 and continue for 28000 blocks on disk “sd0”:

``sgivol -p 0 3200 28000 4 sd0``

# SEE ALSO

sgimips/boot(8)

February 17, 2017 | NetBSD 9.0